unit Main;
  {     }

  {       Anchors }
  {          }
  {                        }
interface                                     

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, Buttons, Menus, ExtCtrls, Mask;

type
  TMainForm = class(TForm)
    Memo1: TMemo;
    Label1: TLabel;
    StatusBar1: TStatusBar;
    OpenDialog1: TOpenDialog;
    MainMenu1: TMainMenu;
    mnHelp: TMenuItem;
    miHelp: TMenuItem;
    mnExit: TMenuItem;
    mnKod: TMenuItem;
    miIshFile: TMenuItem;
    miRezFile: TMenuItem;
    miExecute: TMenuItem;
    Bevel1: TBevel;
    Panel1: TPanel;
    BnExecute: TBitBtn;
    BitBtn3: TBitBtn;
    BnExit: TBitBtn;
    EdOutFileName: TEdit;
    BnNameOutFile: TBitBtn;
    BnNameInpFile: TBitBtn;
    EdInpFileName: TEdit;
    Label4: TLabel;
    Label3: TLabel;
    Label2: TLabel;
    EdMatr: TEdit;
    procedure BnExitClick(Sender: TObject);
    procedure BnNameInpFileClick(Sender: TObject);
    procedure BnNameOutFileClick(Sender: TObject);
    procedure BnExecuteClick(Sender: TObject);
    procedure miHelpClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure EdMatrExit(Sender: TObject);
  private
    { Private declarations }
  public
    ZnSk,               //   
    ChislSk :integer;   //   
  end;

var
  MainForm: TMainForm;

implementation

uses VypProg;

{$R *.DFM}

procedure TMainForm.BnNameInpFileClick(Sender: TObject);
begin   {       }
 if OpenDialog1.Execute then EdInpFileName.Text:=OpenDialog1.FileName;
end;

procedure TMainForm.BnNameOutFileClick(Sender: TObject);
begin  {       }
 if OpenDialog1.Execute then EdOutFileName.Text:=OpenDialog1.FileName;
end;

procedure TMainForm.BnExecuteClick(Sender: TObject);
begin     {    }
 if ( EdInpFileName.Text = '' ) or ( EdOutFileName.Text = '' )
   then begin ShowMessage('   ');
              Exit;                 end;
 BnExecute.Enabled := False;  //       

  FormIndProgr.KoderExecute ( Memo1.Lines, EdInpFileName.Text,
     EdOutFileName.Text, ChislSk, ZnSk );

 BnExecute.Enabled := True;
end;

procedure TMainForm.miHelpClick(Sender: TObject);
begin   {     }
 BitBtn3.Click;
end;

procedure TMainForm.BnExitClick(Sender: TObject);
begin   {    }
 Close;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin    {       }
 if ParamCount > 0 then EdInpFileName.Text:=ParamStr(1);
 if ParamCount > 1 then EdOutFileName.Text:=ParamStr(2);
 OpenDialog1.InitialDir := ExtractFileDir(ParamStr(0));  
 ZnSk := 2;    ChislSk := 1;
end;

procedure TMainForm.EdMatrExit(Sender: TObject);
 {        
     }
Var  S : String;  Kode : Integer;
  procedure ShowError(Soob : String);
  begin    {          }
   ShowMessage(Soob);
   EdMatr.SetFocus;
  end;
begin  //     
  ZnSk := 0;          ChislSk := 0;
  S:=Copy(EdMatr.Text,1,Pos('/',EdMatr.Text)-1);
{$R-}
  Val(S,ChislSk, Kode);  //   
  If (Kode <> 0) or (ChislSk>16) or (ChislSk<1)
    then ShowError('    .');
  S:=Copy(EdMatr.Text,Pos('/',EdMatr.Text)+1,Length(EdMatr.Text));
  Val(S,ZnSk, Kode);  //   
{$R+}
  If (Kode <> 0) or (ZnSk>16) or (ZnSk<2) or (ZnSk <= ChislSk)
    then ShowError('    .');
end;

end.
